{{!-- Inline Action --}}
{{#*inline "listAction"}}
  <li class="action-part item flexrow" data-action-id="{{action.id}}">
    <div class="item-name">
      <div class="item-image no-hover" style='background-image: url("{{action.img}}")'></div>
      <h4>{{action.name}}</h4>
    </div>

    <div class="item-detail item-uses flexrow">
      {{#if action.isSelfCharged}}
        <span class="text-box value" data-wheel-step="1" data-dtype="Number">{{action.data.uses.self.value}}</span>
        <span class="sep"> / </span>
        <span class="max">{{action.data.uses.self.max}}</span>
      {{/if}}
    </div>

    <div class="action-controls item-controls">
      <a class="edit-action" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
      <a class="duplicate-action" data-tooltip="PF1.DuplicateItem"><i class="fas fa-copy"></i></a>
      <a class="delete-action" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
    </div>
  </li>
{{/inline}}

{{!-- Actions --}}
<div class="actions">
  <ol class="item-list action-parts">
    {{!-- Header --}}
    <li class="item-list-header flexrow">
      <div class="item-name">
        <h3>{{localize "PF1.ActionPlural"}}</h3>
      </div>

      <div class="item-detail item-uses"><i class="icon-pf icon-battery-pack" data-tooltip="PF1.ChargePlural"></i></div>

      <div class="action-controls item-controls">
        <a class="action-control add-action">
          <i class="fas fa-plus"></i>
          {{localize "PF1.Add"}}
        </a>
      </div>
    </li>

    {{!-- Action list --}}
    <ol class="item-list">
      {{#each actions as |action i|}}{{> listAction action=action i=i}}{{/each}}
    </ol>
  </ol>
</div>

{{!-- Limited Uses --}}
{{#unless isSpell}}
<div class="form-group uses-per">
  <label>{{localize "PF1.LimitedUses.Label"}}</label>
  <div class="form-fields">
    {{#if isCharged}}
    <input type="text" name="system.uses.value" value="{{system.uses.value}}" data-dtype="Number" data-tooltip="@resources.{{system.tag}}.value : {{system.uses.value}}" {{disabled inheritCharges}}>
    <span class="sep"> / </span>
    <input type="text" value="{{system.uses.max}}" disabled data-dtype="Number" data-tooltip="@resources.{{system.tag}}.max : {{system.uses.max}}">
    {{/if}}
    <select name="system.uses.per" {{disabled inheritCharges}}>
      <option value="">{{localize "PF1.Unlimited"}}</option>
      {{selectOptions limitedUsePeriods selected=system.uses.per}}
    </select>
  </div>
</div>
{{#if isCharged}}
{{#if inheritCharges}}
<div class="form-group uses-source">
  <label>{{localize "PF1.ChargeSource"}}</label>
  <div class="form-fields item-link" data-item-id="{{inheritCharges.id}}">
    <img class="image" src="{{inheritCharges.img}}" width="24" height="24">
    <label class="item-name">{{inheritCharges.name}}</label>
  </div>
</div>
{{else}}
<div class="form-group uses-per">
  <input class="formula" type="text" name="system.uses.maxFormula" value="{{system.uses.maxFormula}}" placeholder="{{localize "PF1.MaximumUsesFormula"}}">
</div>
{{/if}}
<div class="form-group charges-per-use">
  <label>{{localize "PF1.ChargeCostFormula"}}</label>
  <div class="form-fields">
    <input class="formula" type="text" name="system.uses.autoDeductChargesCost" value="{{system.uses.autoDeductChargesCost}}" placeholder="{{defaultChargeFormula}}">
  </div>
</div>
{{#if isRechargeable}}
<div class="form-group charges-per-rest">
  <label>{{localize "PF1.RechargeFormula"}}</label>
  <div class="form-fields">
    <input class="formula" type="text" name="system.uses.rechargeFormula" value="{{system.uses.rechargeFormula}}" placeholder="@item.uses.max">
  </div>
</div>
{{/if}}
{{#if (and isPhysical document.hasFiniteCharges)}}
  <div class="form-group">
    <label>{{localize "PF1.PricePerCharge"}}</label>
    <input type="text" name="system.uses.pricePerUse" value="{{system.uses.pricePerUse}}" placeholder="0" type="Number">
  </div>
{{/if}}
{{/if}}
{{/unless}}

{{#if hasAction}}
{{!-- Effect (Per-Instance) Notes --}}
{{~> "systems/pf1/templates/items/parts/item-notes.hbs" name="system.effectNotes" title="PF1.EffectNotes" hint="PF1.EffectNotesHint" notes=system.effectNotes css="effect"}}

{{!-- Footnotes --}}
{{~> "systems/pf1/templates/items/parts/item-notes.hbs" name="system.attackNotes" title="PF1.Footnotes" hint="PF1.FootnotesHint" notes=system.attackNotes css="attack"}}
{{/if}}

<hr>
